#include <qapp.h>
#include <yafAmplifier/yafAmplifier.h>
#include <devices/genericStreamProducer.h>
#include <qtimer.h>
#include <unistd.h>
#include "player2.h"


/**
   This example starts 4 decoders and switches the 
   audiodevice between them.

   The thired decoder is a decoder with other parameter(REALLY_BAD)

   Make sure youe have edited the file

   ../mp3Songs.h


*/



#include "../SONGS.DEF"
#include "switcher.h"



#include <qapp.h>
#include <qpushbt.h>
#include <qfont.h>
#include <qtimer.h>





int main(int nargs,char** args) {
  QApplication a( nargs, args);
  int i;
  Switcher switcher;

  YafAmplifier amplifier;
  GenericStreamProducer* decoder;
  Player player;


  for (i=0;i<_SONG_MAX;i++) {
    if (i==2) {
      decoder=amplifier.createDecoder(_MP3_DECODER_REALLY_BAD);
    } else {
      decoder=amplifier.createDecoder(_MP3_DECODER);
    }
    decoder->open(song[i]);

    // even if it is not attached to a device (pre-decoding!)
    switcher.add(decoder);
  }
  switcher.setMetaPlayer(&player); 
  switcher.start(5*1000);            // in milliseconds

  a.exec();

  
  return 0;
}







  
